summaryrefslogtreecommitdiffstats
path: root/engine-d-standalone/src/main/assembly/bin/initDB.sh
diff options
context:
space:
mode:
authortangpeng <tang.peng5@zte.com.cn>2017-02-21 16:42:42 +0800
committertangpeng <tang.peng5@zte.com.cn>2017-02-21 16:46:30 +0800
commit9c14e8bc2360c0098a23486ea71fc5c99e2fd64e (patch)
treec21b6b4f284e0924e9b0b610f921da2263350bff /engine-d-standalone/src/main/assembly/bin/initDB.sh
parentf7907354daf58f6a729556e21ba01cae777de0be (diff)
Add holmes-engine-d-standalone module
Change-Id: I92203b32eac0888ba6df0328a6bc0a918909e3b3 Issue-Id:HOLMES-45 Signed-off-by: tangpeng <tang.peng5@zte.com.cn>
Diffstat (limited to 'engine-d-standalone/src/main/assembly/bin/initDB.sh')
-rw-r--r--engine-d-standalone/src/main/assembly/bin/initDB.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/engine-d-standalone/src/main/assembly/bin/initDB.sh b/engine-d-standalone/src/main/assembly/bin/initDB.sh
new file mode 100644
index 0000000..7f16c2a
--- /dev/null
+++ b/engine-d-standalone/src/main/assembly/bin/initDB.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# Copyright 2017 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+user=$1
+password=$2
+port=$3
+host=$4
+echo "start init holmes engine-d db"
+main_path=$HOME/../
+mysql -u$user -p$password -P$port -h$host <$main_path/dbscripts/mysql/openo-holmes_engine_d-createobj.sql
+sql_result=$?
+if [ $sql_result != 0 ] ; then
+ echo "failed to init engine-d database!"
+ exit 1
+fi
+echo "init engine-d success!"
+exit 0
+